#ifndef MATLABWRITER_H
#define MATLABWRITER_H

#include "Matrix.h"
#include <map>
#include <vector>
#include <matio.h>

class MatlabWriter
{
public:
    MatlabWriter(const std::string& aFileName);
    ~MatlabWriter();
    void write();
    void setMatrix(const Aurora::Matrix& aMatrixs, const std::string& aName);

private:
    std::string mFileName;
    mat_t* mMat;
    std::map<std::string , Aurora::Matrix> mMatrixs;
};

#endif // MATLABWRITER_H
